Package it.ernytech.tdlib

## Class TdApi.UpdateUserPrivacySettingRules

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateUserPrivacySettingRules

Enclosing class:
  TdApi

    public static class TdApi.UpdateUserPrivacySettingRules
    extends TdApi.Update

Some privacy setting rules have been changed.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.UserPrivacySettingRules` `rules` New privacy rules.
`TdApi.UserPrivacySetting` `setting` The privacy setting.

### Constructor Summary

Constructors
`UpdateUserPrivacySettingRules()` Default constructor.
`UpdateUserPrivacySettingRules​(TdApi.UserPrivacySetting setting, TdApi.UserPrivacySettingRules rules)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### setting

    public TdApi.UserPrivacySetting setting

The privacy setting.

#### rules

    public TdApi.UserPrivacySettingRules rules

New privacy rules.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateUserPrivacySettingRules

    public UpdateUserPrivacySettingRules()

Default constructor.

#### UpdateUserPrivacySettingRules

    public UpdateUserPrivacySettingRules​(TdApi.UserPrivacySetting setting,
                                         TdApi.UserPrivacySettingRules rules)

Constructor for initialization of all fields.

Parameters:
  `setting` - The privacy setting.
  `rules` - New privacy rules.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR